;; original name rocket_ext.b
;; (:length (:parallel 7))
;; optimal
;;

(define (problem log003)
  (:domain logistics-metric)
  (:length (:parallel 7))
  (:domain-variables
   (?dist[lon-airport,lon-airport] 0)
   (?dist[par-airport,par-airport] 0)
   (?dist[jfk-airport,jfk-airport] 0)
   (?dist[bos-airport,bos-airport] 0)
   (?dist[lon-airport,par-airport] 213)
   (?dist[par-airport,lon-airport] 213)
   (?dist[lon-airport,bos-airport] 3280)
   (?dist[bos-airport,lon-airport] 3280)
   (?dist[bos-airport,par-airport] 3445)
   (?dist[par-airport,bos-airport] 3445)
   (?dist[bos-airport,jfk-airport] 190)
   (?dist[jfk-airport,bos-airport] 190)
   (?dist[jfk-airport,lon-airport] 3471)
   (?dist[lon-airport,jfk-airport] 3471)
   (?dist[jfk-airport,par-airport] 3635)
   (?dist[par-airport,jfk-airport] 3635)
   (?capacity[airplane1] 4000)
   (?capacity[airplane2] 4000)
   (?truck-trip 20)
   (?airplane_trip 50)
   (?plane_mpg 3) -float
   (?fuel[airplane1] 0)
   (?fuel[airplane2] 2000) - fluent)
  (:objects 
   mxf
   avrim
   alex
   jason	
   pencil
   paper
   april
   michelle
   betty
   lisa - OBJ

   airplane1 
   airplane2 - AIRPLANE

   lon-airport  
   par-airport 
   jfk-airport 
   bos-airport - AIRPORT

   lon 
   par 
   nyc 
   bos - CITY)
  (:init 
   (in-city lon-airport lon)
   (in-city bos-airport bos)
   (in-city jfk-airport nyc)
   (in-city par-airport par)

   (at airplane1 jfk-airport)
   (at airplane2 par-airport)

   (depot lon-airport)
   (depot bos-airport)
   (depot par-airport)
   (depot jfk-airport)

   (at mxf jfk-airport)
   (at avrim par-airport)
   (at alex bos-airport)
   (at jason jfk-airport)
   (at pencil par-airport)
   (at paper lon-airport)
   (at michelle bos-airport)
   (at april par-airport)
   (at betty lon-airport)
   (at lisa lon-airport)
   )
  (:goal (and 
		(at mxf bos-airport)
		(at avrim jfk-airport)
		(at pencil bos-airport)
		(at alex jfk-airport)
		(at april bos-airport)
		(at lisa par-airport)
		(at michelle jfk-airport)
		(at jason bos-airport)
		(at paper par-airport)
		(at betty jfk-airport)
		)
	    )
  )
