;;;;;;
;;; Test world for exclusion axioms
;;;;;;

(define (domain test)
  (:requirements :strips)
  (:predicates (nogarbage) (dinner) (clean-hands) (present) (quiet))
  (:action carry
		 :effect (and (nogarbage)
				    (not (clean-hands))))
  (:action dolly
		 :effect (and (nogarbage)
				    (not (quiet))))
  (:action cook
		 :precondition (clean-hands)
		 :effect (dinner))
  (:action wrap
		 :precondition (quiet)
		 :effect (present)))

		 


