;; original name logistics.easy
;; (:length (:parallel 9))
;; optimal
;;

(define (problem log001)
    (:domain logistics-strips)
    (:length (:parallel 9))
    (:objects
        package1
        package2
        package3 - OBJ

        airplane1
        airplane2 - AIRPLANE

        pgh
        bos
        la - CITY

        pgh-truck
        bos-truck
        la-truck - TRUCK

        pgh-po
        bos-po
        la-po  

        pgh-central
        bos-central
        la-central - LOCATION

        pgh-airport
        bos-airport
        la-airport - AIRPORT
    )
    (:init
        (in-city pgh-po pgh)
        (in-city pgh-airport pgh)
        (in-city pgh-central pgh)

        (in-city bos-po bos)
        (in-city bos-airport bos)
        (in-city bos-central bos)

        (in-city la-po la)
        (in-city la-airport la)
        (in-city la-central la)

        (at package1 pgh-po)
        (at package2 pgh-po)
        (at package3 pgh-po)

        (at airplane1 pgh-airport)
        (at airplane2 pgh-airport)

        (at bos-truck bos-po)
        (at pgh-truck pgh-po)
        (at la-truck la-po)

    )
    (:goal (and
        (at package1 bos-po)
        (at package2 la-po)
        (at package3 bos-po)
    ))
)

