;; original name logistics.easy
;; (:length (:parallel 9))
;; optimal
;;

(define (problem log001)
    (:domain logistics-metric)
    (:length (:parallel 1) (:serial 0))
    (:domain-variables
	(?dist[la-airport,la-airport] 0)
	(?dist[pgh-airport,pgh-airport] 0)
	(?dist[pgh-airport,la-airport] 2500)
	(?dist[la-airport,pgh-airport] 2500)
	(?capacity[airplane1] 300)
	(?capacity[airplane2] 2000)
	(?truck_trip 20)
	(?airplane_trip 50)
	(?plane_mpg 3) - float
	(?fuel[airplane1] 2000)
	(?fuel[airplane2] 100)
	             - fluent)
    (:objects
        airplane1
        airplane2 - AIRPLANE

        pgh
        la - CITY

        pgh-airport
        la-airport - AIRPORT
    )
    (:init
	   (depot pgh-airport)
	   (depot la-airport)

        (in-city pgh-airport pgh)

        (in-city la-airport la)

        (at airplane1 pgh-airport)
        (at airplane2 pgh-airport)
    )
    (:goal (and
		  (at airplane2 la-airport)
		  (at airplane1 la-airport)
		  ))
)

