;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Party problem based on Jana Koehler's domain
;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (problem party1)
  (:domain party)
  (:objects home - location shop1 shop2 - store ojuice salsa chips - item)
  (:domain-variables
   (?money 50)
   (?time 0)
   (?amount[ojuice] 0)
   (?amount[salsa] 0)
   (?amount[chips] 0) - fluent
   (?distance[home,shop1] 500)
   (?distance[shop1,home] 500)
   (?distance[home,shop2] 250)
   (?distance[shop2,home] 250)
   (?distance[shop1,shop2] 350)
   (?distance[shop2,shop1] 350)
   (?distance[shop2,shop2] 0)
   (?distance[shop1,shop1] 0)
   (?distance[home,home] 0)
   (?price[shop1,ojuice] 2)
   (?price[shop1,salsa] 3)
   (?price[shop1,chips] 1)
   (?price[shop2,ojuice] 3)
   (?price[shop2,salsa] 4)
   (?price[shop2,chips] 2) - float)
  (:init (at home) (in-shop shop1 ojuice) (in-shop shop1 salsa)
	    (in-shop shop1 chips) (in-shop shop2 ojuice) (in-shop shop2 salsa)
	    (in-shop shop2 chips))
  (:goal (and (at home) (test ?amount[ojuice] = 2) (test ?amount[salsa] = 2)
		    (test ?amount[chips] = 2)
		    (test ?money >= 0)))
  (:length (:serial 5) (:parallel 7)))

